Summary: A set of documentation tools:  man, apropos and whatis.
Name: man
Version: 1.5o
Release: 1tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.win.tue.nl/pub/linux-local/utils/man/man-%{version}.tar.gz
Source1: makewhatis.cronweekly
Source2: makewhatis.crondaily
Source3: man.conf
Patch2: man-1.5i2-buildroot.patch
Patch6: man-1.5i2-security.patch
Patch8: man-1.5i2-TMPFILEDIR.patch
Buildroot: /var/tmp/%{name}-root
Requires: groff less

%description
The man package includes three tools for finding information and/or
documentation about your Linux system: man, apropos and whatis.  The
man system formats and displays on-line manual pages about commands or
functions on your system.  Apropos searches the whatis database
(containing short descriptions of system commands) for a string.
Whatis searches its own database for a complete word.

The man package should be installed on your system because it is the
primary way to find documentation on a Linux system.

%prep
%setup -q -n %{name}-%{version}
%patch2 -p1
%patch6 -p1
%patch8 -p1

%build
./configure -d +sgid  -confdir=/etc
make CC="gcc $RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p  $RPM_BUILD_ROOT/usr/{bin,share/{man,misc},sbin}
mkdir -p  $RPM_BUILD_ROOT/etc/cron.{daily,weekly}
make install PREFIX=$RPM_BUILD_ROOT

install -m644 $RPM_SOURCE_DIR/man.conf $RPM_BUILD_ROOT/etc
install -m755 $RPM_SOURCE_DIR/makewhatis.cronweekly $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis.cron
install -m755 $RPM_SOURCE_DIR/makewhatis.crondaily $RPM_BUILD_ROOT/etc/cron.daily/makewhatis.cron

mkdir -p $RPM_BUILD_ROOT/var/catman
mkdir -p $RPM_BUILD_ROOT/var/catman/local
for i in 1 2 3 4 5 6 7 8 9 n; do
	mkdir -p $RPM_BUILD_ROOT/var/catman/cat$i
	mkdir -p $RPM_BUILD_ROOT/var/catman/local/cat$i
done

strip $RPM_BUILD_ROOT/usr/bin/man 

# added man2html stuff
cd man2html
make install PREFIX=$RPM_BUILD_ROOT
strip -R .comments $RPM_BUILD_ROOT/usr/bin/man2html
cd -

# symlinks for manpath
( cd $RPM_BUILD_ROOT
  ln -s man ./usr/bin/manpath
  ln -s man.1 ./usr/share/man/man1/manpath.1
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/cron.weekly/makewhatis.cron
%config /etc/cron.daily/makewhatis.cron
%attr(0755,root,root)	/usr/bin/man
/usr/bin/manpath
/usr/bin/apropos
/usr/bin/man2html
/usr/bin/whatis
/usr/sbin/makewhatis
%config /etc/man.conf
/usr/share/man/man5/man.conf.5*
/usr/share/man/man1/whatis.1*
/usr/share/man/man1/man.1*
/usr/share/man/man1/manpath.1*
/usr/share/man/man1/apropos.1*
/usr/share/man/man1/man2html.1*
/usr/share/man/man8/makewhatis.8*

%changelog
* Thu Sep 23 2004 Nageswara Sastry <nageswara at comodo dot com> 1.5o-1tr
- Upgraded to version 1.5o-1tr from 1.5m2-3tr

* Sun Feb 15 2004 Tor Hveem <torh at trustix dot org> 1.5m2-1th
- New uptream
- Fix formatting error

* Mon Dec  8 2003 Erlend Midttun <erlendbm at trustix dot org> 1.5m-1tr
- New upstream.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5l-8tr
- Big rebuild

* Tue May 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5l-7em
- Do not have preformatted man pages.
- No longer PreReq shadow-utils.

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5l-6em
- fileutils -> coreutils.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 1.5l-5gd
- Added PreReq on shadow-utils
- makewhatis.8 is not gzipped

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5l-4em
- Rebuilt against glibc 2.3.2.

* Fri Mar 21 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5l-3em
- Upgrade to fix sec hole.

* Thu Feb 27 2003 Erlend Midttun <erlendbm at trustix dot com> 1.5.j0-3em
- Make setup quiet.

* Fri Nov  8 2002 Gerald Dachs <gda at trustix dot org> 1.5.j0-3gd
- prerequires now fileutils

* Wed Jun 12 2002 Christian H. Toldnes <christht at trustix dot com> 1.5.j0-2ct
- Rebuilt for 2.0
- Minor cleanup.

* Mon Mar  4 2002 Christian H. Toldnes <christht at trustix dot com>
- New upstram version: 1.5j
- Added the makewhatis manual page.

* Wed Jun  6 2001 Oystein Viggen <oysteivi at trustix dot com>
- New upstream version: 1.5i2

* Fri Dec 15 2000 Erlend Midttun <erlendbm at trustix dot com>
- Incorrect group.

* Wed Nov  29 2000 Erlend Midttun <erlendbm at trustix dot com>
- Rebuild to get libs right.

* Wed Oct  4 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added less as a requirement.  Bugzilla #64.

* Mon Oct 2 2000 Per Ivar Paulsen <perp at trustix dot com>
- Fixed X11R6 config line entry

* Mon Sep 18 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 1.5h1

* Mon Jul 10 2000 Oystein Viggen <oysteivi at trustix dot com>
- Added a security fix for makewhatis

* Wed Mar 22 2000 Lars Gaarden <larsg at trustix dot com>
- Man has a bunch of buffer overflows, removed setgid.
- Fixed symlink manpath.1

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- removed /var/catman/X11R6 directories

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- deal with rpm gziping man pages
- fix file locking (Bug #8947)

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip man2html

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- revert to latin1 instead of ascii

* Wed Jun 16 1999 Cristian Gafton <gafton@redhat.com>
- fixed man2html loop on terminfo.5 (patrch from the author; #3316)

* Mon May 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed #2532 by adding /usr/local/sbin as a MANPATH_MAP

* Fri Apr 09 1999 Michael K. Johnson <johnsonm@redhat.com>
- cron.weekly rebuilds, cron.daily updates in minimal time

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- man 1.5g bugfix release

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- add manpath symlinks (#1138).

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #792
- added man2html files

* Tue Dec 29 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0
- upgraded to 1.5e
- properly buildrooted

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- enable fsstnd organization
- change /var/catman/X11 to X11R6
- %post/%preun to clean up cat litter

* Tue Jun 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- you can't do free(malloc(10) + 4) <sigh>

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5d

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.5a

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- uses a build root

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to man-1.4j, which fixes some security problems; release 1 is
  for RH 4.2, release 2 is for glibc
 
* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added /usr/lib/perl5/man to default manpath
